> For the complete documentation index, see [llms.txt](https://apidocs.webcom.mobi/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/http-get-specification/request-message-status.md).

# Request message status

## Request message status

<mark style="color:blue;">`GET`</mark> `http://lk.mysmpp.ru/sendsms.php`

#### Request Body

| Name                                    | Type   | Description                                                                                       |
| --------------------------------------- | ------ | ------------------------------------------------------------------------------------------------- |
| user<mark style="color:red;">\*</mark>  | String | Your login in the system                                                                          |
| token<mark style="color:red;">\*</mark> | String | You can use a secret key instead of login and password. To obtain it, please contact your manager |
| pwd<mark style="color:red;">\*</mark>   | String | Your password in the system                                                                       |
| smsid<mark style="color:red;">\*</mark> | Int    | SMS message number. Used to check the SMS status.                                                 |

{% tabs %}
{% tab title="200: OK GET status request response" %}
The response will be the **`state`** of the state according to the passed **`id_sms`**, the response options in the table below.
{% endtab %}
{% endtabs %}

### Deciphering parameters in query responses

<table><thead><tr><th width="140.33333333333331">Parameter</th><th width="158">Data type</th><th>Description</th></tr></thead><tbody><tr><td>state</td><td>String</td><td><p>Last message status: </p><ul><li>"send" - message status not received. In this case, an empty time (time="") is transmitted </li><li>"not_deliver" - the message was not delivered. Final status (does not change with time) </li><li>"expired" - the subscriber was not in the network at the moments when the delivery attempt was made. Final status (does not change with time) </li><li>"deliver" - the message has been delivered. </li><li>"read" - the message has been read. Final status (does not change over time) </li><li>"partly_deliver" - the message was sent, but the status was not received.</li></ul></td></tr></tbody></table>

### Example of a browser request

{% code overflow="wrap" %}

```
http://lk.mysmpp.ru/sendsms.php?user=login&pwd=password&smsid=ID_SMS
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/http-get-specification/request-message-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
